Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNext Method
Cursor Class See Also Send Feedback

If the cursor is not yet initialized, MoveNext is identical to MoveFirst()()(). Otherwise, move the cursor to the next key/data pair of the database, and store that pair in Current. In the presence of duplicate key values, the value of Current.Key may not change.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public bool MoveNext()

Visual Basic (Declaration)
    Public Function MoveNext As Boolean

Visual C++
    public:
    bool MoveNext()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current contains an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MoveNext Overload
BerkeleyDB Namespace